Runs

Deprecated

Create Template Run

post

Run a pipeline from a template.

Args: template_id: The ID of the template. config: Configuration for the pipeline run. auth_context: Authentication context.

Raises: ValueError: If the template can not be run.

Returns: The created pipeline run.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
template_idstring · uuidRequired
Body
any ofOptional
or
nullOptional
Responses
200

Successful Response

application/json
post
/api/v1/run_templates/{template_id}/runs
POST /api/v1/run_templates/{template_id}/runs HTTP/1.1
Host: 
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4294

{
  "run_name": "text",
  "enable_cache": true,
  "enable_artifact_metadata": true,
  "enable_artifact_visualization": true,
  "enable_step_logs": true,
  "enable_pipeline_logs": true,
  "schedule": {
    "name": "text",
    "cron_expression": "text",
    "start_time": "2025-12-07T18:49:22.335Z",
    "end_time": "2025-12-07T18:49:22.335Z",
    "interval_second": "text",
    "catchup": false,
    "run_once_start_time": "2025-12-07T18:49:22.335Z"
  },
  "build": {
    "images": {
      "ANY_ADDITIONAL_PROPERTY": {
        "image": "text",
        "dockerfile": "text",
        "requirements": "text",
        "settings_checksum": "text",
        "contains_code": true,
        "requires_code_download": false
      }
    },
    "is_local": true,
    "contains_code": true,
    "zenml_version": "text",
    "python_version": "text",
    "duration": 1
  },
  "steps": {
    "ANY_ADDITIONAL_PROPERTY": {
      "enable_cache": true,
      "enable_artifact_metadata": true,
      "enable_artifact_visualization": true,
      "enable_step_logs": true,
      "step_operator": true,
      "experiment_tracker": true,
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "environment": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "secrets": [
        "123e4567-e89b-12d3-a456-426614174000"
      ],
      "extra": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "failure_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "success_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "model": {
        "name": "text",
        "license": "text",
        "description": "text",
        "audience": "text",
        "use_cases": "text",
        "limitations": "text",
        "trade_offs": "text",
        "ethics": "text",
        "tags": [
          "text"
        ],
        "version": "none",
        "save_models_to_registry": true,
        "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "suppress_class_validation_warnings": false
      },
      "retry": {
        "max_retries": 1,
        "delay": 0,
        "backoff": 0
      },
      "substitutions": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "cache_policy": {
        "include_step_code": true,
        "include_step_parameters": true,
        "include_artifact_values": true,
        "include_artifact_ids": true,
        "ignored_inputs": [
          "text"
        ],
        "file_dependencies": [
          "text"
        ],
        "source_dependencies": [
          {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "cache_func": {
          "module": "text",
          "attribute": "text",
          "type": "user",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "expires_after": 1
      },
      "runtime": "inline",
      "outputs": {
        "ANY_ADDITIONAL_PROPERTY": {
          "materializer_source": [
            {
              "module": "text",
              "attribute": "text",
              "type": "user",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ],
          "default_materializer_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "artifact_config": {
            "name": "text",
            "version": 1,
            "tags": [
              "text"
            ],
            "run_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "artifact_type": "DataAnalysisArtifact"
          }
        }
      }
    }
  },
  "settings": {
    "ANY_ADDITIONAL_PROPERTY": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "environment": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secrets": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "tags": [
    "text"
  ],
  "extra": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "model": {
    "name": "text",
    "license": "text",
    "description": "text",
    "audience": "text",
    "use_cases": "text",
    "limitations": "text",
    "trade_offs": "text",
    "ethics": "text",
    "tags": [
      "text"
    ],
    "version": "none",
    "save_models_to_registry": true,
    "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
    "suppress_class_validation_warnings": false
  },
  "parameters": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "retry": {
    "max_retries": 1,
    "delay": 0,
    "backoff": 0
  },
  "failure_hook_source": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "init_hook_source": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "init_hook_kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "cleanup_hook_source": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "success_hook_source": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "substitutions": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "cache_policy": {
    "include_step_code": true,
    "include_step_parameters": true,
    "include_artifact_values": true,
    "include_artifact_ids": true,
    "ignored_inputs": [
      "text"
    ],
    "file_dependencies": [
      "text"
    ],
    "source_dependencies": [
      {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "cache_func": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "expires_after": 1
  },
  "execution_mode": "fail_fast"
}
{
  "body": {
    "created": "2025-12-07T18:49:22.335Z",
    "updated": "2025-12-07T18:49:22.335Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "initializing",
    "in_progress": true,
    "status_reason": "text"
  },
  "metadata": {
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "config": {
      "enable_cache": true,
      "enable_artifact_metadata": true,
      "enable_artifact_visualization": true,
      "enable_step_logs": true,
      "environment": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "secrets": [
        "123e4567-e89b-12d3-a456-426614174000"
      ],
      "enable_pipeline_logs": true,
      "execution_mode": "continue_on_failure",
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "tags": [
        "text"
      ],
      "extra": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "failure_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "success_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "init_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "init_hook_kwargs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "cleanup_hook_source": {
        "module": "text",
        "attribute": "text",
        "type": "user",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "model": {
        "name": "text",
        "license": "text",
        "description": "text",
        "audience": "text",
        "use_cases": "text",
        "limitations": "text",
        "trade_offs": "text",
        "ethics": "text",
        "tags": [
          "text"
        ],
        "version": "none",
        "save_models_to_registry": true,
        "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "suppress_class_validation_warnings": false
      },
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "retry": {
        "max_retries": 1,
        "delay": 0,
        "backoff": 0
      },
      "substitutions": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "cache_policy": {
        "include_step_code": true,
        "include_step_parameters": true,
        "include_artifact_values": true,
        "include_artifact_ids": true,
        "ignored_inputs": [
          "text"
        ],
        "file_dependencies": [
          "text"
        ],
        "source_dependencies": [
          {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "cache_func": {
          "module": "text",
          "attribute": "text",
          "type": "user",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "expires_after": 1
      },
      "name": "text"
    },
    "start_time": "2025-12-07T18:49:22.335Z",
    "end_time": "2025-12-07T18:49:22.335Z",
    "client_environment": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "orchestrator_environment": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "orchestrator_run_id": "text",
    "code_path": "text",
    "is_templatable": false,
    "trigger_info": {
      "step_run_id": "123e4567-e89b-12d3-a456-426614174000",
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "snapshot": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "runnable": true,
        "deployable": true,
        "is_dynamic": true
      },
      "metadata": {
        "description": "text",
        "run_name_template": "text",
        "pipeline_configuration": {
          "enable_cache": true,
          "enable_artifact_metadata": true,
          "enable_artifact_visualization": true,
          "enable_step_logs": true,
          "environment": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "secrets": [
            "123e4567-e89b-12d3-a456-426614174000"
          ],
          "enable_pipeline_logs": true,
          "execution_mode": "continue_on_failure",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "tags": [
            "text"
          ],
          "extra": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "failure_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "success_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "init_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "init_hook_kwargs": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "cleanup_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "model": {
            "name": "text",
            "license": "text",
            "description": "text",
            "audience": "text",
            "use_cases": "text",
            "limitations": "text",
            "trade_offs": "text",
            "ethics": "text",
            "tags": [
              "text"
            ],
            "version": "none",
            "save_models_to_registry": true,
            "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
            "suppress_class_validation_warnings": false
          },
          "parameters": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "retry": {
            "max_retries": 1,
            "delay": 0,
            "backoff": 0
          },
          "substitutions": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "cache_policy": {
            "include_step_code": true,
            "include_step_parameters": true,
            "include_artifact_values": true,
            "include_artifact_ids": true,
            "ignored_inputs": [
              "text"
            ],
            "file_dependencies": [
              "text"
            ],
            "source_dependencies": [
              {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            ],
            "cache_func": {
              "module": "text",
              "attribute": "text",
              "type": "user",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "expires_after": 1
          },
          "name": "text"
        },
        "step_configurations": {
          "ANY_ADDITIONAL_PROPERTY": {
            "spec": {
              "source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "upstream_steps": [
                "text"
              ],
              "inputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "step_name": "text",
                  "output_name": "text"
                }
              },
              "invocation_id": "text"
            },
            "config": {
              "enable_cache": true,
              "enable_artifact_metadata": true,
              "enable_artifact_visualization": true,
              "enable_step_logs": true,
              "step_operator": true,
              "experiment_tracker": true,
              "parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "settings": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "environment": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "secrets": [
                "123e4567-e89b-12d3-a456-426614174000"
              ],
              "extra": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "failure_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "success_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "model": {
                "name": "text",
                "license": "text",
                "description": "text",
                "audience": "text",
                "use_cases": "text",
                "limitations": "text",
                "trade_offs": "text",
                "ethics": "text",
                "tags": [
                  "text"
                ],
                "version": "none",
                "save_models_to_registry": true,
                "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
                "suppress_class_validation_warnings": false
              },
              "retry": {
                "max_retries": 1,
                "delay": 0,
                "backoff": 0
              },
              "substitutions": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "cache_policy": {
                "include_step_code": true,
                "include_step_parameters": true,
                "include_artifact_values": true,
                "include_artifact_ids": true,
                "ignored_inputs": [
                  "text"
                ],
                "file_dependencies": [
                  "text"
                ],
                "source_dependencies": [
                  {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                ],
                "cache_func": {
                  "module": "text",
                  "attribute": "text",
                  "type": "user",
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "expires_after": 1
              },
              "runtime": "inline",
              "outputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "materializer_source": [
                    {
                      "module": "text",
                      "attribute": "text",
                      "type": "user",
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    }
                  ],
                  "default_materializer_source": {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "artifact_config": {
                    "name": "text",
                    "version": 1,
                    "tags": [
                      "text"
                    ],
                    "run_metadata": {
                      "ANY_ADDITIONAL_PROPERTY": "text"
                    },
                    "artifact_type": "DataAnalysisArtifact"
                  }
                }
              },
              "name": "text",
              "template": "text",
              "caching_parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "external_input_artifacts": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "id": "123e4567-e89b-12d3-a456-426614174000"
                }
              },
              "model_artifacts_or_metadata": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "model_name": "text",
                  "model_version": "text",
                  "artifact_name": "text",
                  "artifact_version": "text",
                  "metadata_name": "text"
                }
              },
              "client_lazy_loaders": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "method_name": "text",
                  "call_chain": [
                    {
                      "attribute_name": "text",
                      "is_call": false,
                      "call_args": [],
                      "call_kwargs": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "selector": null
                    }
                  ],
                  "exclude_next_call": false
                }
              }
            },
            "step_config_overrides": {
              "enable_cache": true,
              "enable_artifact_metadata": true,
              "enable_artifact_visualization": true,
              "enable_step_logs": true,
              "step_operator": true,
              "experiment_tracker": true,
              "parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "settings": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "environment": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "secrets": [
                "123e4567-e89b-12d3-a456-426614174000"
              ],
              "extra": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "failure_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "success_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "model": {
                "name": "text",
                "license": "text",
                "description": "text",
                "audience": "text",
                "use_cases": "text",
                "limitations": "text",
                "trade_offs": "text",
                "ethics": "text",
                "tags": [
                  "text"
                ],
                "version": "none",
                "save_models_to_registry": true,
                "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
                "suppress_class_validation_warnings": false
              },
              "retry": {
                "max_retries": 1,
                "delay": 0,
                "backoff": 0
              },
              "substitutions": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "cache_policy": {
                "include_step_code": true,
                "include_step_parameters": true,
                "include_artifact_values": true,
                "include_artifact_ids": true,
                "ignored_inputs": [
                  "text"
                ],
                "file_dependencies": [
                  "text"
                ],
                "source_dependencies": [
                  {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                ],
                "cache_func": {
                  "module": "text",
                  "attribute": "text",
                  "type": "user",
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "expires_after": 1
              },
              "runtime": "inline",
              "outputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "materializer_source": [
                    {
                      "module": "text",
                      "attribute": "text",
                      "type": "user",
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    }
                  ],
                  "default_materializer_source": {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "artifact_config": {
                    "name": "text",
                    "version": 1,
                    "tags": [
                      "text"
                    ],
                    "run_metadata": {
                      "ANY_ADDITIONAL_PROPERTY": "text"
                    },
                    "artifact_type": "DataAnalysisArtifact"
                  }
                }
              },
              "name": "text",
              "template": "text",
              "caching_parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "external_input_artifacts": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "id": "123e4567-e89b-12d3-a456-426614174000"
                }
              },
              "model_artifacts_or_metadata": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "model_name": "text",
                  "model_version": "text",
                  "artifact_name": "text",
                  "artifact_version": "text",
                  "metadata_name": "text"
                }
              },
              "client_lazy_loaders": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "method_name": "text",
                  "call_chain": [
                    {
                      "attribute_name": "text",
                      "is_call": false,
                      "call_args": [],
                      "call_kwargs": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "selector": null
                    }
                  ],
                  "exclude_next_call": false
                }
              }
            }
          }
        },
        "client_environment": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "client_version": "text",
        "server_version": "text",
        "pipeline_version_hash": "text",
        "pipeline_spec": {
          "version": "0.5",
          "source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "parameters": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "input_schema": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "steps": [
            {
              "source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "upstream_steps": [
                "text"
              ],
              "inputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "step_name": "text",
                  "output_name": "text"
                }
              },
              "invocation_id": "text"
            }
          ],
          "outputs": [
            {
              "step_name": "text",
              "output_name": "text"
            }
          ],
          "output_schema": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "code_path": "text",
        "source_snapshot_id": "123e4567-e89b-12d3-a456-426614174000",
        "config_template": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "config_schema": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": "[Circular Reference]",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "source_snapshot": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "runnable": true,
        "deployable": true,
        "is_dynamic": true
      },
      "metadata": {
        "description": "text",
        "run_name_template": "text",
        "pipeline_configuration": {
          "enable_cache": true,
          "enable_artifact_metadata": true,
          "enable_artifact_visualization": true,
          "enable_step_logs": true,
          "environment": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "secrets": [
            "123e4567-e89b-12d3-a456-426614174000"
          ],
          "enable_pipeline_logs": true,
          "execution_mode": "continue_on_failure",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "tags": [
            "text"
          ],
          "extra": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "failure_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "success_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "init_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "init_hook_kwargs": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "cleanup_hook_source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "model": {
            "name": "text",
            "license": "text",
            "description": "text",
            "audience": "text",
            "use_cases": "text",
            "limitations": "text",
            "trade_offs": "text",
            "ethics": "text",
            "tags": [
              "text"
            ],
            "version": "none",
            "save_models_to_registry": true,
            "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
            "suppress_class_validation_warnings": false
          },
          "parameters": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "retry": {
            "max_retries": 1,
            "delay": 0,
            "backoff": 0
          },
          "substitutions": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "cache_policy": {
            "include_step_code": true,
            "include_step_parameters": true,
            "include_artifact_values": true,
            "include_artifact_ids": true,
            "ignored_inputs": [
              "text"
            ],
            "file_dependencies": [
              "text"
            ],
            "source_dependencies": [
              {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            ],
            "cache_func": {
              "module": "text",
              "attribute": "text",
              "type": "user",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "expires_after": 1
          },
          "name": "text"
        },
        "step_configurations": {
          "ANY_ADDITIONAL_PROPERTY": {
            "spec": {
              "source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "upstream_steps": [
                "text"
              ],
              "inputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "step_name": "text",
                  "output_name": "text"
                }
              },
              "invocation_id": "text"
            },
            "config": {
              "enable_cache": true,
              "enable_artifact_metadata": true,
              "enable_artifact_visualization": true,
              "enable_step_logs": true,
              "step_operator": true,
              "experiment_tracker": true,
              "parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "settings": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "environment": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "secrets": [
                "123e4567-e89b-12d3-a456-426614174000"
              ],
              "extra": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "failure_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "success_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "model": {
                "name": "text",
                "license": "text",
                "description": "text",
                "audience": "text",
                "use_cases": "text",
                "limitations": "text",
                "trade_offs": "text",
                "ethics": "text",
                "tags": [
                  "text"
                ],
                "version": "none",
                "save_models_to_registry": true,
                "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
                "suppress_class_validation_warnings": false
              },
              "retry": {
                "max_retries": 1,
                "delay": 0,
                "backoff": 0
              },
              "substitutions": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "cache_policy": {
                "include_step_code": true,
                "include_step_parameters": true,
                "include_artifact_values": true,
                "include_artifact_ids": true,
                "ignored_inputs": [
                  "text"
                ],
                "file_dependencies": [
                  "text"
                ],
                "source_dependencies": [
                  {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                ],
                "cache_func": {
                  "module": "text",
                  "attribute": "text",
                  "type": "user",
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "expires_after": 1
              },
              "runtime": "inline",
              "outputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "materializer_source": [
                    {
                      "module": "text",
                      "attribute": "text",
                      "type": "user",
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    }
                  ],
                  "default_materializer_source": {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "artifact_config": {
                    "name": "text",
                    "version": 1,
                    "tags": [
                      "text"
                    ],
                    "run_metadata": {
                      "ANY_ADDITIONAL_PROPERTY": "text"
                    },
                    "artifact_type": "DataAnalysisArtifact"
                  }
                }
              },
              "name": "text",
              "template": "text",
              "caching_parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "external_input_artifacts": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "id": "123e4567-e89b-12d3-a456-426614174000"
                }
              },
              "model_artifacts_or_metadata": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "model_name": "text",
                  "model_version": "text",
                  "artifact_name": "text",
                  "artifact_version": "text",
                  "metadata_name": "text"
                }
              },
              "client_lazy_loaders": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "method_name": "text",
                  "call_chain": [
                    {
                      "attribute_name": "text",
                      "is_call": false,
                      "call_args": [],
                      "call_kwargs": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "selector": null
                    }
                  ],
                  "exclude_next_call": false
                }
              }
            },
            "step_config_overrides": {
              "enable_cache": true,
              "enable_artifact_metadata": true,
              "enable_artifact_visualization": true,
              "enable_step_logs": true,
              "step_operator": true,
              "experiment_tracker": true,
              "parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "settings": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "environment": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "secrets": [
                "123e4567-e89b-12d3-a456-426614174000"
              ],
              "extra": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "failure_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "success_hook_source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "model": {
                "name": "text",
                "license": "text",
                "description": "text",
                "audience": "text",
                "use_cases": "text",
                "limitations": "text",
                "trade_offs": "text",
                "ethics": "text",
                "tags": [
                  "text"
                ],
                "version": "none",
                "save_models_to_registry": true,
                "model_version_id": "123e4567-e89b-12d3-a456-426614174000",
                "suppress_class_validation_warnings": false
              },
              "retry": {
                "max_retries": 1,
                "delay": 0,
                "backoff": 0
              },
              "substitutions": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "cache_policy": {
                "include_step_code": true,
                "include_step_parameters": true,
                "include_artifact_values": true,
                "include_artifact_ids": true,
                "ignored_inputs": [
                  "text"
                ],
                "file_dependencies": [
                  "text"
                ],
                "source_dependencies": [
                  {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                ],
                "cache_func": {
                  "module": "text",
                  "attribute": "text",
                  "type": "user",
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "expires_after": 1
              },
              "runtime": "inline",
              "outputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "materializer_source": [
                    {
                      "module": "text",
                      "attribute": "text",
                      "type": "user",
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    }
                  ],
                  "default_materializer_source": {
                    "module": "text",
                    "attribute": "text",
                    "type": "user",
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "artifact_config": {
                    "name": "text",
                    "version": 1,
                    "tags": [
                      "text"
                    ],
                    "run_metadata": {
                      "ANY_ADDITIONAL_PROPERTY": "text"
                    },
                    "artifact_type": "DataAnalysisArtifact"
                  }
                }
              },
              "name": "text",
              "template": "text",
              "caching_parameters": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "external_input_artifacts": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "id": "123e4567-e89b-12d3-a456-426614174000"
                }
              },
              "model_artifacts_or_metadata": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "model_name": "text",
                  "model_version": "text",
                  "artifact_name": "text",
                  "artifact_version": "text",
                  "metadata_name": "text"
                }
              },
              "client_lazy_loaders": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "method_name": "text",
                  "call_chain": [
                    {
                      "attribute_name": "text",
                      "is_call": false,
                      "call_args": [],
                      "call_kwargs": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "selector": null
                    }
                  ],
                  "exclude_next_call": false
                }
              }
            }
          }
        },
        "client_environment": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "client_version": "text",
        "server_version": "text",
        "pipeline_version_hash": "text",
        "pipeline_spec": {
          "version": "0.5",
          "source": {
            "module": "text",
            "attribute": "text",
            "type": "user",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "parameters": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "input_schema": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "steps": [
            {
              "source": {
                "module": "text",
                "attribute": "text",
                "type": "user",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "upstream_steps": [
                "text"
              ],
              "inputs": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "step_name": "text",
                  "output_name": "text"
                }
              },
              "invocation_id": "text"
            }
          ],
          "outputs": [
            {
              "step_name": "text",
              "output_name": "text"
            }
          ],
          "output_schema": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "code_path": "text",
        "source_snapshot_id": "123e4567-e89b-12d3-a456-426614174000",
        "config_template": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "config_schema": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": "[Circular Reference]",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "stack": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "components": {
          "ANY_ADDITIONAL_PROPERTY": [
            {
              "body": {
                "created": "2025-12-07T18:49:22.335Z",
                "updated": "2025-12-07T18:49:22.335Z",
                "user_id": "123e4567-e89b-12d3-a456-426614174000",
                "type": "alerter",
                "flavor_name": "text",
                "integration": "text",
                "logo_url": "text"
              },
              "metadata": {
                "configuration": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "environment": {
                  "ANY_ADDITIONAL_PROPERTY": "text"
                },
                "secrets": [
                  "123e4567-e89b-12d3-a456-426614174000"
                ],
                "labels": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "connector_resource_id": "text",
                "connector": {
                  "body": {
                    "created": "2025-12-07T18:49:22.335Z",
                    "updated": "2025-12-07T18:49:22.335Z",
                    "user_id": "123e4567-e89b-12d3-a456-426614174000",
                    "description": "",
                    "connector_type": "text",
                    "auth_method": "text",
                    "resource_types": [
                      "text"
                    ],
                    "resource_id": "text",
                    "supports_instances": false,
                    "expires_at": "2025-12-07T18:49:22.335Z",
                    "expires_skew_tolerance": 1
                  },
                  "metadata": {
                    "configuration": {
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    },
                    "expiration_seconds": 1,
                    "labels": {
                      "ANY_ADDITIONAL_PROPERTY": "text"
                    }
                  },
                  "resources": {
                    "user": {
                      "body": {
                        "created": "2025-12-07T18:49:22.335Z",
                        "updated": "2025-12-07T18:49:22.335Z",
                        "active": false,
                        "activation_token": "text",
                        "full_name": "",
                        "email_opted_in": true,
                        "is_service_account": true,
                        "is_admin": true,
                        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                        "avatar_url": "text"
                      },
                      "metadata": {
                        "email": "",
                        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                        "user_metadata": {
                          "ANY_ADDITIONAL_PROPERTY": "anything"
                        }
                      },
                      "resources": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "permission_denied": false,
                      "name": "text"
                    },
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "permission_denied": false,
                  "name": "text"
                }
              },
              "resources": {
                "user": {
                  "body": {
                    "created": "2025-12-07T18:49:22.335Z",
                    "updated": "2025-12-07T18:49:22.335Z",
                    "active": false,
                    "activation_token": "text",
                    "full_name": "",
                    "email_opted_in": true,
                    "is_service_account": true,
                    "is_admin": true,
                    "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                    "avatar_url": "text"
                  },
                  "metadata": {
                    "email": "",
                    "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                    "user_metadata": {
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    }
                  },
                  "resources": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "permission_denied": false,
                  "name": "text"
                },
                "flavor": {
                  "body": {
                    "created": "2025-12-07T18:49:22.335Z",
                    "updated": "2025-12-07T18:49:22.335Z",
                    "user_id": "123e4567-e89b-12d3-a456-426614174000",
                    "type": "alerter",
                    "integration": "text",
                    "source": "text",
                    "logo_url": "text",
                    "is_custom": true
                  },
                  "metadata": {
                    "config_schema": {
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    },
                    "connector_type": "text",
                    "connector_resource_type": "text",
                    "connector_resource_id_attr": "text",
                    "docs_url": "text",
                    "sdk_docs_url": "text"
                  },
                  "resources": {
                    "user": {
                      "body": {
                        "created": "2025-12-07T18:49:22.335Z",
                        "updated": "2025-12-07T18:49:22.335Z",
                        "active": false,
                        "activation_token": "text",
                        "full_name": "",
                        "email_opted_in": true,
                        "is_service_account": true,
                        "is_admin": true,
                        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                        "avatar_url": "text"
                      },
                      "metadata": {
                        "email": "",
                        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                        "user_metadata": {
                          "ANY_ADDITIONAL_PROPERTY": "anything"
                        }
                      },
                      "resources": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      },
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "permission_denied": false,
                      "name": "text"
                    },
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "permission_denied": false,
                  "name": "text"
                },
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission_denied": false,
              "name": "text"
            }
          ]
        },
        "description": "",
        "stack_spec_path": "text",
        "environment": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "secrets": [
          "123e4567-e89b-12d3-a456-426614174000"
        ],
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2025-12-07T18:49:22.335Z",
            "updated": "2025-12-07T18:49:22.335Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "pipeline": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "description": "text"
      },
      "resources": "[Circular Reference]",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "build": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": "[Circular Reference]",
      "resources": {
        "user": {
          "body": {
            "created": "2025-12-07T18:49:22.335Z",
            "updated": "2025-12-07T18:49:22.335Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false
    },
    "schedule": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "active": true,
        "cron_expression": "text",
        "start_time": "2025-12-07T18:49:22.335Z",
        "end_time": "2025-12-07T18:49:22.335Z",
        "interval_second": "text",
        "catchup": false,
        "run_once_start_time": "2025-12-07T18:49:22.335Z"
      },
      "metadata": {
        "orchestrator_id": "123e4567-e89b-12d3-a456-426614174000",
        "pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
        "run_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2025-12-07T18:49:22.335Z",
            "updated": "2025-12-07T18:49:22.335Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "code_reference": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "commit": "text",
        "subdirectory": "text",
        "code_repository": {
          "body": {
            "created": "2025-12-07T18:49:22.335Z",
            "updated": "2025-12-07T18:49:22.335Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "project_id": "123e4567-e89b-12d3-a456-426614174000",
            "source": {
              "module": "text",
              "attribute": "text",
              "type": "user",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "logo_url": "text"
          },
          "metadata": {
            "config": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "description": "text"
          },
          "resources": {
            "user": {
              "body": {
                "created": "2025-12-07T18:49:22.335Z",
                "updated": "2025-12-07T18:49:22.335Z",
                "active": false,
                "activation_token": "text",
                "full_name": "",
                "email_opted_in": true,
                "is_service_account": true,
                "is_admin": true,
                "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                "avatar_url": "text"
              },
              "metadata": {
                "email": "",
                "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                "user_metadata": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "resources": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission_denied": false,
              "name": "text"
            },
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        }
      },
      "metadata": {},
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false
    },
    "trigger_execution": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z"
      },
      "metadata": {
        "event_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": "[Circular Reference]",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false
    },
    "model_version": {
      "body": "[Circular Reference]",
      "metadata": {
        "description": "text",
        "run_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": "[Circular Reference]",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2025-12-07T18:49:22.335Z",
          "updated": "2025-12-07T18:49:22.335Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2025-12-07T18:49:22.335Z",
              "updated": "2025-12-07T18:49:22.335Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "logs": {
      "body": {
        "created": "2025-12-07T18:49:22.335Z",
        "updated": "2025-12-07T18:49:22.335Z",
        "uri": "text",
        "source": "text"
      },
      "metadata": {
        "step_run_id": "123e4567-e89b-12d3-a456-426614174000",
        "pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
        "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false
    },
    "log_collection": [
      {
        "body": {
          "created": "2025-12-07T18:49:22.335Z",
          "updated": "2025-12-07T18:49:22.335Z",
          "uri": "text",
          "source": "text"
        },
        "metadata": {
          "step_run_id": "123e4567-e89b-12d3-a456-426614174000",
          "pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
          "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000"
        },
        "resources": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false
      }
    ],
    "visualizations": [
      {
        "body": {
          "created": "2025-12-07T18:49:22.335Z",
          "updated": "2025-12-07T18:49:22.335Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "artifact_visualization_id": "123e4567-e89b-12d3-a456-426614174000",
          "artifact_version_id": "123e4567-e89b-12d3-a456-426614174000",
          "display_name": "text",
          "display_order": 1,
          "layout_size": "full_width",
          "resource_id": "123e4567-e89b-12d3-a456-426614174000",
          "resource_type": "deployment"
        },
        "metadata": {},
        "resources": "[Circular Reference]",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false
      }
    ],
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Last updated

Was this helpful?